## s51dude 0.2.0

=== Makefile ===

CC = gcc
CFLAGS = -Wall -O2
OBJECTS = s51dude.o ihex.o usbtiny.o parse_params.o parts.o
INCLUDES = ihex.h parts.h s51dude.h usbtiny.h
LDFLAGS = -lusb -Wl

# prefix for installing the binaries
DESTDIR=
PREFIX=/usr/local

# Path where to install locale files:
LOCALEPATH = $(DESTDIR)/$(PREFIX)/share/locale
CDEFINES = -DLOCALEDIR=\"$(LOCALEPATH)\"

# run make DEBUG=1 to enable the -g CFLAG
ifdef DEBUG
	CFLAGS += -g
endif

# run make V=1 to enable verbose output
ifneq ($(V), 1)
	NICE_CC = @echo "  CC  $@"; $(CC)
else
	NICE_CC = $(CC)
endif

all: s51dude

s51dude: $(OBJECTS)
	$(NICE_CC) -o s51dude $(OBJECTS) $(LDFLAGS) $(LIBS)

#.SUFFIXES: .c .o
%.o: %.c $(INCLUDES)
	$(NICE_CC) -o $@ -c $(CDEFINES) $(CFLAGS) $< $(INCFLAGS)

install-bin: s51dude
	install -d $(DESTDIR)/$(PREFIX)/bin
	install -m 0755 s51dude $(DESTDIR)/$(PREFIX)/bin

install-man:
	install -d $(DESTDIR)/$(PREFIX)/share/man/man1
	install -m 0644 s51dude.1 $(DESTDIR)/$(PREFIX)/share/man/man1/

install-mo:
	make -C po/ LOCALEPATH=$(LOCALEPATH) install

install: install-bin install-man install-mo

clean:
	rm -f $(OBJECTS) s51dude

default: all

.PHONY: default all clean install-bin install-man install

## s51dude 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,17 @@
 
 CC = gcc
-CFLAGS = -Wall -O2
+CFLAGS ?= -Wall -O2
+CPPFLAGS ?=
 OBJECTS = s51dude.o ihex.o usbtiny.o parse_params.o parts.o
 INCLUDES = ihex.h parts.h s51dude.h usbtiny.h
-LDFLAGS = -lusb -Wl
+LDFLAGS += -lusb
 
 # prefix for installing the binaries
-DESTDIR=
-PREFIX=/usr/local
+DESTDIR ?=
+PREFIX ?=/usr
+
+# Default version
+VERSION=devel
 
 # Path where to install locale files:
 LOCALEPATH = $(DESTDIR)/$(PREFIX)/share/locale
@@ -32,7 +36,7 @@
 
 #.SUFFIXES: .c .o
 %.o: %.c $(INCLUDES)
-	$(NICE_CC) -o $@ -c $(CDEFINES) $(CFLAGS) $< $(INCFLAGS)
+	$(NICE_CC) -o $@ -c $(CDEFINES) $(CFLAGS) $(CPPFLAGS) $< $(INCFLAGS)
 
 install-bin: s51dude
 	install -d $(DESTDIR)/$(PREFIX)/bin
@@ -49,7 +53,12 @@
 
 clean:
 	rm -f $(OBJECTS) s51dude
+	make -C po/ clean
 
 default: all
 
+# Create upstream tar.gz
+archive:
+	hg archive -X ".hg*" -t tbz2 s51dude-$(VERSION).tar.bz2
+
 .PHONY: default all clean install-bin install-man install

=== po/Makefile ===
LANGUAGES=es

POT_FILE=s51dude.pot
MO_FILES=$(LANGUAGES:%=%.mo)

all: $(MO_FILES)

$(POT_FILE): $(shell find .. -name '*.[ch]')
	xgettext -k_ -kN_ -o $@ $^ -d s51dude -s
	for po in *.po; do\
		lang=`basename $$po .po`; \
		intltool-update --dist --gettext-package=s51dude $$lang; \
	done

$(MO_FILES): %.mo: %.po
	msgfmt -c -o $@ $<

remove clean:
	rm -f $(MO_FILES)

install: $(MO_FILES)
	for i in $(LANGUAGES); do \
		install -m644 -D $$i.mo $(LOCALEPATH)/$$i/LC_MESSAGES/s51dude.mo; \
	done

uninstall:
	for i in $(LANGUAGES); do \
		rm -fv $(LOCALEPATH)/$$i/LC_MESSAGES/s51dude.mo; \
	done

=== debian/changelog ===
s51dude (0.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5":
    debian/rules: build with "build with -fgnu89-inline".
    (Closes: #778109)

 -- gregor herrmann <gregoa@debian.org>  Thu, 23 Jul 2015 23:51:59 +0200

s51dude (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Lucas Chiesa <lucas.chiesa@gmail.com>  Thu, 29 Aug 2013 09:20:11 -0300

s51dude (0.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": apply patch from Paul Tagliamonte (stray -Wl in
    Makefile). Closes: #667365

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Apr 2012 12:35:58 +0200

s51dude (0.2.0-1) unstable; urgency=low

  * New upstream release 

 -- Lucas Chiesa <lucas.chiesa@gmail.com>  Mon, 13 Oct 2008 02:31:16 +0000

s51dude (0.1.3-1) unstable; urgency=low

  * Initial release

 -- Lucas Chiesa <lucas.chiesa@gmail.com>  Fri, 15 Aug 2008 00:20:55 +0000

=== debian/control ===
Source: s51dude
Section: electronics
Priority: extra
Maintainer: Lucas Chiesa <lucas.chiesa@gmail.com>
Build-Depends: debhelper (>= 9), libusb-dev
Standards-Version: 3.9.4
Homepage: http://tulku.bitbucket.org/s51dude/

Package: s51dude
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: In-System Programmer for 8051 MCUs using usbtiny
 In-System programmer for Atmel's 8051 MCUs like the AT89S8252 and AT89S53.
 It needs the usbtinyisp board with a modified firmware.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fgnu89-inline

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=hex

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
https://bitbucket.org/tulku/s51dude/downloads/s51dude-(.*).tar.bz2
